# std::_Tuple_impl< _Idx, _Head, _Tail...> Struct Template Reference

List of all members.

## Detailed Description

### template<int _Idx, typename _Head, typename... _Tail>
struct std::_Tuple_impl< _Idx, _Head, _Tail...>

Recursive tuple implementation. Here we store the `Head` element and derive from a `Tuple_impl` containing the remaining elements (which contains the `Tail`).

Definition at line 129 of file tuple.

## Public Types

- typedef _Head_base< _Idx,
  _Head, std::is_empty< _Head
  >::value > _Base
- typedef _Tuple_impl< _Idx+1,
  _Tail...> _Inherited

## Public Member Functions

- const _Head & _M_head () const
- _Head & _M_head ()
- const _Inherited & _M_tail () const
- _Inherited & _M_tail ()
- template<typename... _UElements> _Tuple_impl (_Tuple_impl< _Idx, _UElements...> &&__in)
- template<typename... _UElements> _Tuple_impl (const _Tuple_impl< _Idx, _UElements...> &__in)
- _Tuple_impl (_Tuple_impl &&__in)
- _Tuple_impl (const _Tuple_impl &__in)
- template<typename _UHead, typename... _UTail> _Tuple_impl (_UHead &&__head, _UTail &&...__tail)
- _Tuple_impl (const _Head &__head, const _Tail &...__tail)
- _Tuple_impl ()
- template<typename... _UElements> _Tuple_impl & operator= (_Tuple_impl< _Idx, _UElements...> &&__in)
- template<typename... _UElements> _Tuple_impl & operator= (const _Tuple_impl< _Idx, _UElements...> &__in)
- _Tuple_impl & operator= (_Tuple_impl &&__in)
- _Tuple_impl & operator= (const _Tuple_impl &__in)

The documentation for this struct was generated from the following file:

- tuple